Skip to main content
POST
/
auth
/
api-key
Create API key
curl --request POST \
  --url https://api.nova-cloud.ai/auth/api-key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Primary Key",
  "scopes": [
    "read_write"
  ]
}
'
{
  "api_key": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT access token or API key (prefixed with nv_)

Body

application/json
name
string
default:Primary Key

Friendly name for the API key

Maximum string length: 100
scopes
string[]

Permission scopes: read_write, read_only, billing_only

Response

200 - application/json

API key created. Save the key — it won't be shown again.

api_key
string

Your API key — save this! It won't be shown again.

created_at
string<date-time>
message
string